Bug 332081 - service network restart breaks bondings
service network restart breaks bondings
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 08:24 EDT by Edouard Bourguignon
Modified: 2014-03-16 23:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:47:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edouard Bourguignon 2007-10-15 08:24:25 EDT
Description of problem:

Bonding interfaces work great until we restart the network service. After the
restart, one of the slave interface stay down and never come up again, making
the bonding inefficient.

Version-Release number of selected component (if applicable):

initscripts-8.45.7-1

How reproducible:

static

Steps to Reproduce:
1. set up the bonding
2. service network restart (everything is ok and up)
3. service network restart breaks the bonding
4. reboot, bonding works
5. service network restart breaks the bonding
  
Actual results:

After setting up the bonding, everything is ok

[root] # cat /proc/net/bonding/bond0 
Ethernet Channel Bonding Driver: v3.1.1 (September 26, 2006)

Bonding Mode: fault-tolerance (active-backup)
Primary Slave: eth1
Currently Active Slave: eth1
MII Status: up
MII Polling Interval (ms): 100
Up Delay (ms): 0
Down Delay (ms): 0

Slave Interface: eth1
MII Status: up
Link Failure Count: 0
Permanent HW addr: 00:14:5e:fa:43:cc

Slave Interface: eth2
MII Status: up
Link Failure Count: 0
Permanent HW addr: 00:14:5e:fa:43:ce
[root] # cat ifcfg-eth1 ifcfg-eth2 ifcfg-bond0 
DEVICE=eth1
HWADDR=00:14:5E:FA:43:CC
BOOTPROTO=none
ONBOOT=yes
MASTER=bond0
SLAVE=yes
USERCTL=no

DEVICE=eth2
HWADDR=00:14:5E:FA:43:CE
BOOTPROTO=none
ONBOOT=yes
MASTER=bond0
SLAVE=yes
USERCTL=no

DEVICE=bond0
BOOTPROTO=static
IPADDR=10.156.130.101 
NETMASK=255.255.224.0
ONBOOT=yes
USERCTL=no

But since we restart the service network, bond0 is broken, one of its slave is
now always down:

[root] # cat /proc/net/bonding/bond0 
Ethernet Channel Bonding Driver: v3.1.1 (September 26, 2006)

Bonding Mode: fault-tolerance (active-backup)
Primary Slave: eth1
Currently Active Slave: eth1
MII Status: up
MII Polling Interval (ms): 100
Up Delay (ms): 0
Down Delay (ms): 0

Slave Interface: eth2
MII Status: down
Link Failure Count: 1
Permanent HW addr: 00:14:5e:fa:43:ce

Slave Interface: eth1
MII Status: up
Link Failure Count: 0
Permanent HW addr: 00:14:5e:fa:43:cc

Expected results:

All slaves should be up, and bonding should works on link failure

Additional info:

this works:
modprobe -r bonding ; service network restart 

modifying /etc/sysconfig/network-scripts/ifup-eth line 104
/sbin/ip link set dev ${DEVICE} down
to
/sbin/ip link set dev ${DEVICE} up
works too

Any idea?
Comment 1 Bug Zapper 2008-04-04 03:38:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:47:17 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.